<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member-sims.js");

</script>
<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{myAssignedSIM}">Mis tarjetas SIM asignadas</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">
    <!-- IF -->
    <div th:if="${allowed == 0}">
        <div>
            <button type="button" class="btn btn-lg btn-info" 
                    title="Compra de tarjetas SIM" 
                    data-toggle="popover" 
                    data-content="Para agregar disponibilidad de tarjetas SIM debe comprar paquetes de SIM"
                    th:text="#{btnAvailabilitySIM}">No tiene disponibilidad para agregar tarjetas SIM</button>
        </div>
    </div>
    <!-- ELSE -->
    <div th:unless="${allowed == 0}">

        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">

                    <div class="well" style="overflow: auto">
                        <div class="col-md-12">
                            <input type="text" th:value="${q}" th:attr="placeholder=#{search}" name="q" id="q"/>
                            <span th:text="#{records}">Registros:</span>
                            <select name="size" id="size">
                                <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                                <option th:selected="${size != null && size == '50'}" value="50">50</option>
                                <option th:selected="${size != null && size == '100'}" value="100">100</option>
                                <option th:selected="${size != null && size == '500'}" value="500">500</option>
                                <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                            </select>                        
                            <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span class="span-inside" th:text="#{search}"></span></button>
                            <button class="btn btn-success btn-sm action-button" id="add-sim"><i class="fa fa-plus span-inside"></i>&nbsp;<span class="span-inside" th:text="#{add}"></span></button>
                            <button class="btn btn-warning btn-sm action-button" id="transfer-sim"><i class="fa fa-arrow-right span-inside"></i>&nbsp;<span class="span-inside" th:text="#{toTransfer}"></span></button>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div>

                <div class="table-responsive">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th><input type="checkbox" class="chk-check-all"/></th>
                                <th>#</th>
                                <th>Iccid</th>
                                <th th:text="#{creation_date}">Fecha Creación</th>
                                <th th:text="#{activation_date}">Fecha Activación</th>
                                <th th:text="#{numberOfOrder}">Nro. de Orden</th>
                                <th th:text="#{transfersMade}">Transferida</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td>
                                    <span th:if="${item.transferMemberName != null}">-</span>
                                    <input th:if="${item.transferMemberName == null}" th:id="${item.id}" type="checkbox" name="sim-id"/>
                                </td>
                                <td th:text="${item.id}"></td>
                                <td th:text="${item.iccid}"></td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.activationDate != null}" th:text="${#dates.format(item.activationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.activationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.activationDate == null}">--</td>
                                <td th:if="${item.orderId != null}">#<span th:text="${item.orderId}"></span></td>
                                <td th:if="${item.orderId == null}">--</td>
                                <td th:if="${item.transferMemberName != null}"><span th:text="${item.transferMemberName}"></span></td>
                                <td th:if="${item.transferMemberName == null}">--</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div th:replace="frags/pagination :: paginationbar"></div>
        </div>
    </div>
</div>

